Disable page previews on various special pages
Closed, ResolvedPublic1 Story Points

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 9:46 PM

@Vachovec1 does this list seem sensible to you?

Jdlrobson set the point value for this task to 1.
ovasileva changed the task status from Stalled to Open.Jul 18 2017, 4:32 PM
ovasileva triaged this task as Normal priority.
Vachovec1 added a comment.EditedJul 18 2017, 8:33 PM

@Vachovec1 does this list seem sensible to you?

Yes, that sounds reasonable to me. No objections.

@Tbayer any objections?

https://en.wikipedia.org/wiki/Special:Notifications

Why are seeing page previews here not useful?

On enwiki, Special:CiteThisPage contains several mainspace links (with useful previews), see e.g. https://en.wikipedia.org/w/index.php?title=Special:CiteThisPage&page=Dire_wolf&id=791135679

Change 369494 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Disable page previews on a variety of pages

https://gerrit.wikimedia.org/r/369494

Change 369494 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable page previews on a variety of pages

https://gerrit.wikimedia.org/r/369494

Mentioned in SAL (#wikimedia-operations) [2017-08-01T23:13:47Z] <reedy@tin> Synchronized wmf-config/InitialiseSettings.php: Disable popups on Special pages T170893 (duration: 00m 47s)

ovasileva claimed this task.Aug 2 2017, 4:59 PM
ovasileva closed this task as Resolved.Aug 3 2017, 5:54 PM

On enwiki, Special:CiteThisPage contains several mainspace links (with useful previews), see e.g. https://en.wikipedia.org/w/index.php?title=Special:CiteThisPage&page=Dire_wolf&id=791135679

For some reason, this still remains in the blacklist as now deployed. This also means that we did in fact end up with the kind of inconsistent user experience cautioned against in T170169#3442166 (one and the same article link will generate popups on some pages but not on others, without any user-discernable reason).

@Tbayer that list is completely configurable. Please talk to @ovasileva about it, it can easily be changed in a follow up.

Thanks @Jdlrobson - this was more an example as part of a general observation about the process and tradeoffs for this feature, but I have filed a task at T173865 .

BTW does the blacklist work with localized page names? E.g it seems that previews are still live on Spezial:Zitierhilfe on dewiki, which I think is the local equivalent of the aforementioned Special:CiteThisPage. Example: https://de.wikipedia.org/w/index.php?title=Spezial:Zitierhilfe&page=Venezuela&id=168282177

BTW does the blacklist work with localized page names?

Looks like this may have been overlooked in implementation/sign off. Let's assume it doesn't until someone proves otherwise. SpecialPage::getName() may be a more appropriate way to get the canonical name then getRootTitle()

Jdlrobson reopened this task as Open.Aug 22 2017, 7:14 PM

Agree that we should also capture the localized page names

Jdlrobson removed ovasileva as the assignee of this task.Aug 23 2017, 5:09 PM
Jdlrobson added a subscriber: ovasileva.
Jdlrobson moved this task from To Do to Ready for Signoff on the Readers-Web-Kanban-Board board.

Whoops T170169 is the task that should have been reopened. This was just the config change.